package net.sf.jsptest.assertion;

/**
 * @author Lasse Koskela
 */
public class OutputAssertion extends AbstractAssertion {

    private final String content;

    public OutputAssertion(String content) {
        this.content = content;
    }

    public void shouldContain(String text) {
        String msg = "Rendered output did not contain the expected text <"
                + text + ">:\n" + content;
        assertContains(msg, content, text);
    }

    public void shouldNotContain(String text) {
        String msg = "Rendered output contained unexpected text <"
                + text + ">:\n" + content;
        assertDoesNotContain(msg, content, text);
    }
}
